## libgcrypt20 1.6.1

=== debian/changelog ===
libgcrypt20 (1.6.1-2ubuntu1) trusty; urgency=medium

  * debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Mar 2014 19:32:09 -0600

libgcrypt20 (1.6.1-2) unstable; urgency=medium

  * libgcrypt20-dev does not provide libgcrypt-dev anymore and conflicts with
    libgcrypt11-dev in addition to the virtual package libgcrypt-dev.
    The previous setup of having libgcryptXX-dev provide/conflict
    libgcrypt-dev breaks for packages build-depending on the virtual package.
    Closes: #741959

 -- Andreas Metzler <ametzler@debian.org>  Mon, 17 Mar 2014 19:14:23 +0100

libgcrypt20 (1.6.1-1) unstable; urgency=medium

  * New upstream version.
    + New member in gcry_md_flags, bump dependency version of gcry_md_open().
    + GCRYCTL_INACTIVATE_FIPS_FLAG/GCRYCTL_REACTIVATE_FIPS_FLAG reserved but
      returning a GPG_ERR_NOT_IMPLEMENTED yet. Bump dependency version of
      gcry_control().
  * Fix c'n'p error in Vcs-Git field. Closes: #737022

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Jan 2014 16:21:56 +0100

libgcrypt20 (1.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add description to 12_lessdeps_libgcrypt-config.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Jan 2014 13:15:57 +0100

libgcrypt20 (1.6.0-1) experimental; urgency=low

  * Point vcs* to git.
  * New upstream version.
    + Update symbol file.
    + Rename all (including -dev) packages to match soname bump. Because of
      API changes gnutls26 cannot be built against gcrypt 1.6.0. As we are not
      ready to drop gnutls26 and it seems unlikely that gnutls upstream makes
      feature changes to its old-old-old-stable release we will need to keep
      the old gcrypt development package around.
    + Don't build udeb for the time being.
    + Update version of libgpg-error-dev build-dependency.
  * Drop Breaks with old, gcrypt-1.5.x incompatible versions of gnupg2, gpgsm
    and libgnutls26.
  * Ship hmac256.1 in libgcrypt20-dev.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature.
  * Edit "image path" entries in info docs to point /usr/share/doc/.../html.
  * Replace /usr/share/doc/libgcrypt20-dbg with a symlink to
    /usr/share/doc/libgcrypt20.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Dec 2013 15:51:07 +0100

libgcrypt11 (1.5.3-2) unstable; urgency=low

  * Convert to dh and move building of ps and html docs to
    override_dh_auto_build-indep. Enable parallel building.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 20 Aug 2013 19:21:29 +0200

libgcrypt11 (1.5.3-1) unstable; urgency=high

  * New upstream bugfix release. (CVE-2013-4242)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 25 Jul 2013 14:24:43 +0200

libgcrypt11 (1.5.2-3) unstable; urgency=low

  * Install libgcrypt.a and libgcrypt.so to /usr.
  * [15_multiarchpath_in_-L.diff] Do not print -L/lib/i386-linux-gnu on
    "libgcrypt-config --libs".
  * Use debhelper v9 mode. This allows us to mark libgcrypt11-dbg Multi-Arch:
    same.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2013 15:55:26 +0200

libgcrypt11 (1.5.2-2) unstable; urgency=low

  * Upload to unstable.
  * Fix vcs-field-not-canonical lintian error by refering to anonscm instead
    of svn.debian.org.
  * Update info in debian/copyright from upstream's README, fixing typo 'teh'.
  * Delete some outdated and unused code in debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Jun 2013 08:54:56 +0200

libgcrypt11 (1.5.2-1) experimental; urgency=low

  * New upstream version.
    + IDEA support added.
  * Move list of supported algorithms to a separate paragraph in description
    to decrease work-load of translators. Closes: #640261
  * Move TeX-packages from b-d to Build-Depends-Indep. (Thanks, P. J.
    McDermott) Closes: #682597

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Apr 2013 14:31:51 +0200

libgcrypt11 (1.5.1-1) experimental; urgency=low

  * Point watchfile to stable release.
  * New upstream version.
  * Drop superfluous patches:
    29_Fix-a-problem-with-select-and-high-fds.patch
    30_Avoid-dereferencing-pointer-right-after-the-end.patch
    31_Fix-segv-with-AES-NI-on-some-platforms.patch
    32_libgcrypt-1.5-rinjdael-Fix-use-of-SSE2-outside-USE_A.patch
  * Bump version gcry_control@GCRYPT_1.2 in debian/libgcrypt11.symbols from
    1.4.5 to 1.5.1 since its argument enum has a new member.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Mar 2013 19:43:39 +0100

libgcrypt11 (1.5.0-5) unstable; urgency=low

  * While we are at it also pick
    29_Fix-a-problem-with-select-and-high-fds.patch
    LP: #1084279

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Feb 2013 18:38:55 +0100

libgcrypt11 (1.5.0-4) unstable; urgency=low

  * Pull patches from upstream LIBGCRYPT-1-5-BRANCH:
      30_Avoid-dereferencing-pointer-right-after-the-end.patch
      31_Fix-segv-with-AES-NI-on-some-platforms.patch
         <https://bugs.g10code.com/gnupg/issue1452> LP: #1105758
      32_libgcrypt-1.5-rinjdael-Fix-use-of-SSE2-outside-USE_A.patch
    Closes: #699034

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Feb 2013 17:43:09 +0100

libgcrypt11 (1.5.0-3) unstable; urgency=low

  * Upload to unstable.
  * Drop 20_workaroundarmgcc.diff (1.4.6/unstable). It seems to be unnecessary
    with 1.5.0.
  * libgcrypt11 Breaks gnupg2|gpgsm (<< 2.0.17-2ubuntu2) and libgnutls26 (<<
    2.12.7-3). See https://bugs.launchpad.net/bugs/815190 and
    https://lists.gnu.org/archive/html/gnutls-devel/2011-07/msg00001.html

 -- Andreas Metzler <ametzler@debian.org>  Thu, 01 Sep 2011 18:53:49 +0200

libgcrypt11 (1.5.0-2) experimental; urgency=low

  * Add a symbols file (Based on binary shipped in squeeze.) Closes: #550077

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Aug 2011 13:20:19 +0200

libgcrypt11 (1.5.0-1) experimental; urgency=low


