=== debian/control ===
Source: libgcrypt20
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, 
 Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>,
 Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>= 9),
 libgpg-error-dev (>= 1.11), autotools-dev
Build-Depends-Indep: texlive-latex-base, texlive-generic-recommended,
 texinfo (>= 4.6-0)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-gnutls/libgcrypt.git -b branch1.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnutls/libgcrypt.git;a=shortlog;h=refs/heads/branch1.6
Homepage: http://directory.fsf.org/project/libgcrypt/

Package: libgcrypt20-doc
Section: doc
Architecture: all
Suggests: libgcrypt20-dev
Conflicts: libgcrypt7-doc, libgcrypt-doc, libgcrypt11-doc
Replaces: libgcrypt7-doc, libgcrypt-doc, libgcrypt11-doc
Depends: ${misc:Depends}
Description: LGPL Crypto library - documentation
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
 Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
 .
 This package contains developer documentation.

Package: libgcrypt20-dev
Section: libdevel
Architecture: any
Conflicts: libgcrypt-dev, libgcrypt11-dev
#Provides: libgcrypt-dev
Depends: libgcrypt20 (= ${binary:Version}), libc6-dev | libc-dev,
 libgpg-error-dev, ${misc:Depends}
Suggests: libgcrypt20-doc
Description: LGPL Crypto library - development files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
 Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
 .
 This package contains header files and libraries for static linking.

Package: libgcrypt20-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libgcrypt20 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: LGPL Crypto library - debugger files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
 Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
 .
 This package contains symbol tables for debugging.

Package: libgcrypt20
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rng-tools
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 .
 Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
 Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
 Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
#
#Package: libgcrypt20-udeb
#Section: debian-installer
#Package-Type: udeb
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: LGPL Crypto library - runtime library
# libgcrypt contains cryptographic functions.  Many important free
# ciphers, hash algorithms and public key signing algorithms have been
# implemented:
# .
# Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
# Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
# Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
