=== debian/rules ===
#! /usr/bin/make -f
# Build the libgcrypt package for Debian.

ifneq (,$(filter -O3,$(shell dpkg-buildflags --get CFLAGS)))
  export DEB_CFLAGS_MAINT_STRIP   = -O3
  export DEB_CFLAGS_MAINT_PREPEND = -O2
endif

override_dh_auto_configure:
	dh_auto_configure --verbose -- \
		--enable-noexecstack \
		--enable-ld-version-script --enable-static \
		--libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgcrypt20 (>=1.6.0-0)' \
		--add-udeb=libgcrypt20-udeb -- -c4

override_dh_auto_build-indep:
	cd doc && $(MAKE) stamp-vti
	cd doc && $(MAKE) gcrypt.ps html

override_dh_auto_install:
	dh_auto_install --verbose
	mkdir -p -m755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
		&& ln -v -s /lib/$(DEB_HOST_MULTIARCH)/`readlink ../../../lib/*/*.so` libgcrypt.so
	rm -v debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so
	mv -v debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.a \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_strip:
	dh_strip --dbg-package=libgcrypt20-dbg

override_dh_installinfo:
	dh_installinfo
	if test -e debian/libgcrypt20-doc ; then \
		cd debian/libgcrypt20-doc/usr/share/info && \
		sed -i -e 's:image src="\([^"]*.png"\):image src="/usr/share/doc/libgcrypt20-doc/html/\1:g' *.info* ; \
	fi

override_dh_link:
	rm -rf debian/libgcrypt20-dbg/usr/share/doc/libgcrypt20-dbg
	dh_link

%:
	dh $@ --parallel --with autotools_dev
