## libgcrypt20 1.6.3

=== debian/changelog ===
libgcrypt20 (1.6.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix Vcs-Browser link.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Mar 2015 13:46:59 +0100

libgcrypt20 (1.6.3-1) experimental; urgency=medium

  * Use ascii-armored debian/upstream/signing-key.asc instead of
    debian/upstream-signing-key.pgp for uscan's verification. This alllows us
    to drop debian/source/include-binaries. Add 2071B08A33BD3F06 as accepted
    key.
  * New upstream release.
    + Use ciphertext blinding for Elgamal decryption [CVE-2014-3591].
      See http://www.cs.tau.ac.il/~tromer/radioexp/ for details.
    + Fixed data-dependent timing variations in modular exponentiation
      [related to CVE-2015-0837, Last-Level Cache Side-Channel Attacks
      are Practical].

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Feb 2015 13:18:25 +0100

libgcrypt20 (1.6.2-4) unstable; urgency=medium

  * Add libgcrypt11-dev transitional package. It Breaks libgnutls-dev
    (<< 2.12.23-18), because addition of a dummy package does not magically
    fix GnuTLS 2.x incompatibilities with libgcrypt20.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Sep 2014 14:12:54 +0200

libgcrypt20 (1.6.2-3) unstable; urgency=medium

  * libgcrypt20-dev provides libgcrypt-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Aug 2014 15:50:01 +0200

libgcrypt20 (1.6.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Aug 2014 07:38:52 +0200

libgcrypt20 (1.6.2-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Upload to experimental, do not delay propagation of udeb (#758756) to
    testing.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Aug 2014 19:38:21 +0200

libgcrypt20 (1.6.1-3) unstable; urgency=high

  * Add udeb. Closes: #758756

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Aug 2014 19:04:59 +0200
