## libgcrypt20 1.6.5

=== debian/changelog ===
libgcrypt20 (1.6.5-2) unstable; urgency=medium

  * serial-tests was added in automake 1.12, add versioned b-d.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 10 Feb 2016 12:01:58 +0100

libgcrypt20 (1.6.5-1) experimental; urgency=medium

  * New upstream bugfix release.
    + Mitigate side-channel attack on ECDH with Weierstrass curves
     [CVE-2015-7511].  See http://www.cs.tau.ac.IL/~tromer/ecdh/ for
     details.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 09 Feb 2016 19:52:06 +0100

libgcrypt20 (1.6.4-5) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Add 30_support_source_date_epoch.diff: Support setting BUILD_TIMESTAMP
    using SOURCE_DATE_EPOCH through the SOURCE_DATE_EPOCH environment
    variable. (Thanks, Jérémy Bobbio!). Use/b-d on dh-autoreconf instead of
    autotools-dev. Closes: #812428

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jan 2016 16:00:41 +0100

libgcrypt20 (1.6.4-4) unstable; urgency=medium

  * Delete build-aux/texinfo.tex and let texinfo use the system copy instead
    to prevent breakage in pdf generation in UTF-8 locale. Closes: #803081
  * Migrate from libgcrypt20-dbg to ddebs. dh_strip's --ddeb-migration
    option was added to debhelper/unstable with version 9.20150628, bump
    build-dependency accordingly.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 14:06:18 +0100

libgcrypt20 (1.6.4-3) unstable; urgency=medium

  * Upload to unstable.
  * Ship pdf instead of postscript docs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Oct 2015 13:37:58 +0200

libgcrypt20 (1.6.4-2) experimental; urgency=medium

  * Pull 20_fedora_libgcrypt-1.6.3-aliasing.patch from Fedora to fix testsuite
    error with gcc5 on ppc64.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 18:06:52 +0200

libgcrypt20 (1.6.4-1) experimental; urgency=medium

  * libgcrypt-config: Do not fail on missing dpkg-architecture.
    Closes: #796818
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Sep 2015 13:22:15 +0200
