=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>, 
  Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 9),
- libgpg-error-dev (>= 1.11), autotools-dev
+Build-Depends: debhelper (>= 9.20150628),
+ libgpg-error-dev (>= 1.11), dh-autoreconf, automake (>= 1:1.12)
 Build-Depends-Indep: texlive-latex-base, texlive-generic-recommended,
  texinfo (>= 4.6-0)
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-gnutls/libgcrypt.git -b branch1.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnutls/libgcrypt.git/?h=branch1.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/libgcrypt.git -b branch1.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/libgcrypt.git/?h=branch1.6
 Homepage: http://directory.fsf.org/project/libgcrypt/
 
 Package: libgcrypt20-doc
@@ -50,23 +50,6 @@
  Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
  .
  This package contains header files and libraries for static linking.
-
-Package: libgcrypt20-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libgcrypt20 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: LGPL Crypto library - debugger files
- libgcrypt contains cryptographic functions.  Many important free
- ciphers, hash algorithms and public key signing algorithms have been
- implemented:
- .
- Arcfour, Blowfish, CAST5, DES, AES, Twofish, Serpent, rfc2268 (rc2), SEED,
- Camellia, IDEA, Salsa, CRC, MD4, MD5, RIPE-MD160, SHA-1, SHA-256, SHA-512,
- Tiger, Whirlpool, DSA, DSA2, ElGamal, RSA, ECC.
- .
- This package contains symbol tables for debugging.
 
 Package: libgcrypt20
 Priority: standard
