=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #! /usr/bin/make -f
 # Build the libgcrypt package for Debian.
 
-ifneq (,$(filter -O3,$(shell dpkg-buildflags --get CFLAGS)))
-  export DEB_CFLAGS_MAINT_STRIP   = -O3
-  export DEB_CFLAGS_MAINT_PREPEND = -O2
-endif
+DEBVERSION := $(shell dpkg-parsechangelog | \
+	sed -n '/^Version: /s/^Version: //p')
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
@@ -17,8 +15,10 @@
 		--add-udeb=libgcrypt20-udeb -- -c4
 
 override_dh_auto_build-indep:
+	# use current version in /usr/share/texmf/tex/texinfo/, see #803081
+	rm -f build-aux/texinfo.tex
 	cd doc && $(MAKE) stamp-vti
-	cd doc && $(MAKE) gcrypt.ps html
+	cd doc && $(MAKE) pdf html
 
 override_dh_auto_install:
 	dh_auto_install --verbose
@@ -30,7 +30,7 @@
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 
 override_dh_strip:
-	dh_strip --dbg-package=libgcrypt20-dbg
+	dh_strip --ddeb-migration='libgcrypt20-dbg (<< 1.6.4-4~)'
 
 override_dh_installinfo:
 	dh_installinfo
@@ -43,5 +43,9 @@
 	rm -rf debian/libgcrypt20-dbg/usr/share/doc/libgcrypt20-dbg
 	dh_link
 
+override_dh_gencontrol:
+	dh_gencontrol -plibgcrypt11-dev -- -v1.5.4-3+really$(DEBVERSION)
+	dh_gencontrol --remaining-packages
+
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autoreconf
