## libgcrypt20 1.7.0

=== debian/changelog ===
libgcrypt20 (1.7.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Apr 2016 13:16:30 +0200

libgcrypt20 (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright from AUTHORS.
  * Update algorithm list in package description.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Apr 2016 19:31:29 +0200

libgcrypt20 (1.6.5+git20160413+8472b-1) experimental; urgency=medium

  * New upstream snapshot.
  * Use hardening=+bindnow instead of hardening=+all, we are mainly shipping
    libraries, including static ones.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Apr 2016 18:54:07 +0200

libgcrypt20 (1.6.5+git20160407+5e5d3-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Apr 2016 18:56:20 +0200

libgcrypt20 (1.6.5+git20160329+48ee9-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop 40_Fix-building-random-drbg-for-Win32-64.patch, removal of
    src/gcrypt.h in debian/clean is unnecessary, too.
  * Build with DEB_BUILD_MAINT_OPTIONS := hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Mar 2016 19:15:01 +0200

libgcrypt20 (1.6.5+git20160220+839d12c-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Drop build/ from debian/clean, passing --builddirectory=build on dh $@
    line makes this unnecessary.
  * 40_Fix-building-random-drbg-for-Win32-64.patch from upstream GIT: Remove
    include for sys/types.h and asm/types.h. Fixes FTBFS in win* (and
    possibly kfreebsd-*).
  * 25_norevisionfromgit.diff: Hardcode dummy values instead of trying to pull
    revision/version info from GIT when autoconf is run.
  * Delete generated header src/gcrypt.h on clean. - The version shipped in
    the tarball can have different content than a freshly generated one, and
    with out-of-tree-builds the outdated version is not overwritten.

  [ Daniel Kahn Gillmor ]
  * Add libgcrypt-mingw-w64-dev package which will allow building a gpgv-win32
    package for debian installer's win32-loader. Closes: #814954

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Feb 2016 18:50:38 +0100

libgcrypt20 (1.6.5+git20160220+839d12c-1) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Build out-of-tree for cleanliness.

  [ Andreas Metzler ]
  * Also set --builddirectory=build on dh $@ line.
  * New git snapshot, drop 30_bufhelp-disable-unaligned-ppc.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Feb 2016 16:28:56 +0100

libgcrypt20 (1.6.5+git20160212+a9b64-2) experimental; urgency=low

  * Add 30_bufhelp-disable-unaligned-ppc.patch by Jussi Kivilinn (Disable
    unaligned memory accesses on powerpc*) to fix errors on ppc64el.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Feb 2016 11:41:22 +0100

libgcrypt20 (1.6.5+git20160212+a9b64-1) experimental; urgency=medium

  * Upload upstream git master branch to experimental to get some buildd
    exposure.
  * New upstream version (preparing for 1.7.0):
    + Drop 30_support_source_date_epoch.diff. Upstream now defaults to no
      build-stamp.
    + Drop 20_fedora_libgcrypt-1.6.3-aliasing.patch. It does not apply cleanly
      and we want to test unpatched buildability anyway.
    + List newly added symbols in symbols file.
    + Update debian/copyright from AUTORS and LICENSES. RFC 1952 code is gone.
      Closes: #745453
    + Core enums have been extended (gcry_ctl_cmds, gcry_cipher_algos,
      gcry_cipher_modes, gcry_pk_algos, gcry_md_algos, gcry_mac_algo) after
      addition of inter alia SHA-3, ChaCha20, Poly1305, curve sec256k1 and
      curves GOST R 34.10-2001 and GOST R 34.10-2012. Be paraniod and bump
      Debian dependency info (via debian/libgcrypt20.symbols) to >= 1.7.0.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Feb 2016 10:18:00 +0100
