## libgcrypt20 1.7.1

=== debian/changelog ===
libgcrypt20 (1.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2016 07:24:03 +0200

libgcrypt20 (1.7.1-1) experimental; urgency=medium

  * Fix package descriptions. The algorithm-list was incomplete for some
    packages. Closes: #821368 (Thanks, Katsuhiko Nishimra)
  * New upstream bugfix release, update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Jun 2016 19:12:08 +0200
