## libgcrypt20 1.7.2

=== debian/changelog ===
libgcrypt20 (1.7.2-2ubuntu1) yakkety; urgency=medium

  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve the diagram showing the
      random mixing in random/random-csprng.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in random/random-csprng.c.
    - CVE-2016-6313

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 13:42:24 -0400

libgcrypt20 (1.7.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 15:32:09 +0200

libgcrypt20 (1.7.2-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Jul 2016 19:21:29 +0200
