## libgcrypt20 1.7.6

=== debian/changelog ===
libgcrypt20 (1.7.6-2+deb9u1) stretch-security; urgency=high

  * 31_CVE-2017-752*.patch from upstream 1.7.8 release: Mitigate a
    flush+reload side-channel attack on RSA secret keys dubbed "Sliding right
    into disaster". For details see <https://eprint.iacr.org/2017/627>.
    [CVE-2017-7526]

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jul 2017 11:01:58 +0200

libgcrypt20 (1.7.6-2) unstable; urgency=high

  * Refresh debian/upstream/signing-key.asc, key-expiry-dates bumped.
  * Pull two fixes from gcrypt 1.7.7 bugfix release:
    + 30_gcry177_01-ecc-Store-EdDSA-session-key-in-secure-memory.patch
      Fix possible timing attack on EdDSA session key.
    + 30_gcry177_02-secmem-Fix-SEGV-and-stat-calculation.patch
      Fix long standing bug in secure memory implementation which could lead
      to a segv on free.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jun 2017 10:58:36 +0200

libgcrypt20 (1.7.6-1) unstable; urgency=medium

  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 26 Jan 2017 11:58:32 +0100

libgcrypt20 (1.7.5-3) unstable; urgency=medium

  * 30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch from
    upstream GIT master: Fix SSE3 assembly on Nehalem.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jan 2017 11:06:04 +0100

libgcrypt20 (1.7.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Dec 2016 08:38:47 +0100

libgcrypt20 (1.7.5-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 15 Dec 2016 19:32:33 +0100

libgcrypt20 (1.7.3-2) unstable; urgency=medium

  [ Helmut Grohne / Andreas Metzler ]
  * Turn libgcrypt11-dev into an Arch:any package. Closes: #840205

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Oct 2016 18:00:59 +0200

libgcrypt20 (1.7.3-1) unstable; urgency=high

  * New upstream version.
    Fix critical security bug in the RNG [CVE-2016-6313].  An
    attacker who obtains 580 bytes from the standard RNG can
    trivially predict the next 20 bytes of output.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Aug 2016 07:47:10 +0200
