=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libgcrypt20
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>, 
  Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
@@ -93,7 +92,7 @@
 Package: libgcrypt11-dev
 Section: oldlibs
 Priority: extra
-Architecture: all
+Architecture: any
 Depends: libgcrypt20-dev (>= ${source:Upstream-Version}), ${misc:Depends}
 Breaks: libgnutls-dev (<< 2.12.23-18)
 Description: transitional libgcrypt11-dev package
