## libgcrypt20 1.7.8

=== debian/changelog ===
libgcrypt20 (1.7.8-2ubuntu1) artful; urgency=medium

  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Sep 2017 07:14:32 -0400

libgcrypt20 (1.7.8-2) unstable; urgency=medium

  * 30_mpi-Fix-mpi_set_secure.patch from upstream LIBGCRYPT-1-7-BRANCH: Fix
    memory allocation in mpi_set_secure. Closes: #866964
  * Drop override_dh_strip from debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Jul 2017 18:16:23 +0200

libgcrypt20 (1.7.8-1) unstable; urgency=high

  * Fix 25_norevisionfromgit.diff to let ./configure generate a version-string
    without -beta suffix. LP: #1700157
  * New upstream version.
    + Mitigate a flush+reload side-channel attack on RSA secret keys dubbed
      "Sliding right into disaster".  For details see
      <https://eprint.iacr.org/2017/627>.  [CVE-2017-7526]

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 Jun 2017 18:27:03 +0200

libgcrypt20 (1.7.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jun 2017 11:28:58 +0200

libgcrypt20 (1.7.7-1) experimental; urgency=medium

  * New upstream version.
    + Drop 30_gcry177*.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 Jun 2017 15:34:56 +0200
