=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,6 @@
 	mv -v debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.a \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 
-override_dh_strip:
-	dh_strip --ddeb-migration='libgcrypt20-dbg (<< 1.6.4-4~)'
-
 override_dh_installinfo:
 	dh_installinfo
 	if test -e debian/libgcrypt20-doc ; then \
